// pages/make/make.js
var app = getApp()
var amapFile = require('../../libs/amap-wx.js'); 
var markersData = []; 
// 连接云数据集photos
const db = wx.cloud.database()
const photos = db.collection('photos')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    markers: [], 
    latitude: '', 
    longitude: '', 
    textData: {} 
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 尝试输出用户的个人信息
    console.log(app.globalData.userInfo)

    // 尝试输出用户的openid
    console.log(app.globalData.openid)

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  makertap: function(e) { 
    var id = e.markerId; 
    var that = this; 
    that.showMarkerInfo(markersData,id); 
    that.changeMarkerColor(markersData,id); 
  }, 
  onLoad: function() { 
    var that = this; 
    var myAmapFun = new amapFile.AMapWX({key:'a62b01c8fe4415a6824d234a1c10b235'}); 
    myAmapFun.getPoiAround({ 
      iconPathSelected: '../../image/map_checked.jpg', //如：..­/..­/img/marker_checked.png 
      iconPath: '../../image/map.jpg', //如：..­/..­/img/marker.png 
      success: function(data){ 
        markersData = data.markers; 
        that.setData({ 
          markers: markersData 
        }); 
        that.setData({ 
          latitude: markersData[0].latitude 
        }); 
        that.setData({ 
          longitude: markersData[0].longitude 
        }); 
        that.showMarkerInfo(markersData,0); 
      }, 
      fail: function(info){ 
        wx.showModal({title:info.errMsg}) 
      } 
    }) 
  }, 
  showMarkerInfo: function(data,i){ 
    var that = this; 
    that.setData({ 
      textData: { 
        name: data[i].name, 
        desc: data[i].address 
      } 
    }); 
  }, 
  changeMarkerColor: function(data,i){ 
    var that = this; 
    var markers = []; 
    for(var j = 0; j < data.length; j++){ 
      if(j==i){ 
        data[j].iconPath = "../../image/map_checked.jpg"; //如：..­/..­/img/marker_checked.png 
      }else{ 
        data[j].iconPath = "../../image/map.jpg"; //如：..­/..­/img/marker.png 
      } 
      markers.push(data[j]); 
    } 
    that.setData({ 
      markers: markers 
    }); 
  } 
})