// pages/personal/personal.js
var app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo:app.globalData.userInfo,
        isLoad:app.globalData.isLoad
        // isLoad: wx.canIUse('button.open-type.getUserInfo') // 这个是兼容
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
      this.setData({
        userInfo:app.globalData.userInfo,
        isLoad:app.globalData.isLoad
      })
    },

    getUserProfile: function() {
      var that = this
      app.getUserProfile().then(res=>{
          that.setData({
            isLoad:app.globalData.isLoad,
            userInfo:app.globalData.userInfo
          })
          console.log("data",that.data)
      });
    },

    exit: function () {
        var that = this
        app.exit().then(res=>{
          that.setData({
            isLoad:app.globalData.isLoad,
            userInfo:app.globalData.userInfo
          })
          console.log("data",that.data)
      });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
      if (typeof this.getTabBar === 'function' &&
        this.getTabBar()) {
        this.getTabBar().setData({
          selected: 4
        })
      }
      this.setData({
        userInfo:app.globalData.userInfo,
        isLoad:app.globalData.isLoad
      })
},

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})
